using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using WjwLib.Frame.FormBase;
using WjwLib.Control.WaitLayer;

namespace GatewayTool
{
    public partial class FormBase : CustomFormBase
    {
        private static StringMsg _StrMsg = new StringMsg(Language.SIMPLIFIED_CHINESE);

        public StringMsg StrMsg
        {
            get => _StrMsg;
            set => _StrMsg = value;
        }

        private OpaqueCommand _WaitLayer = new OpaqueCommand();

        protected OpaqueCommand WaitLayer
        {
            get => _WaitLayer;
            set => _WaitLayer = value;
        }

        public FormBase()
        {
            InitializeComponent();
        }
    }
}